<?php
/**
 * Section Media config
 * 
 * @package Admin Tweaks
 */

defined( 'ABSPATH' ) || exit;

$url_wpse_7 = ADTW_URL . '/assets/images/media-all.jpg';
#$url_wpse_5 = ADTW_URL . '/assets/images/.jpg';

\Redux::set_section(
	$adtw_option,
	array(
		'title'  => esc_html__( 'Media', 'mtt' ),
        'id'     => 'media',
        'icon'   => 'el el-picture',
        'fields' => [
            array( ####### MEDIA
				'id'       => 'media-1',
				'type'     => 'section',
				'title'    => false,
				'indent'   => false, 
			),
            array( # Sanitize filename
                'id'       => 'media_sanitize_filename',
                'type'     => 'switch',
                'title'    => esc_html__( 'Sanitize filename', 'mtt' ),
                'desc' => sprintf( 
                    esc_html__( 'Removes symbols, spaces, latin and other languages characters from uploaded files and gives them "permalink" structure (clean characters, only lowercase and dahes).%s Code by: %s', 'mtt' ), 
                    '<br />',
                    ADTW()->makeTipCredit( 
                        'toscho', 
                        'https://github.com/toscho/Germanix-WordPress-Plugin'
                    ) 
                ),
                'default'  => false,
            ),
            array( # SVG upload
                'id'       => 'media_allow_svg',
                'type'     => 'switch',
                'title'    => esc_html__( 'Allow SVG file type', 'mtt' ),
                'desc' => sprintf( 
                    esc_html__( 'For a complete solution that scans the files for vulnerabilities, I highly recommend the plugin %s', 'mtt' ), 
                    ADTW()->makeTipCredit( 
                        'Safe SVG', 
                        'https://wordpress.org/plugins/safe-svg/'
                    ) 
                ),
                'default'  => false,
            ),
            array( # [dummy]
                'id'   =>'divider_1',
                'desc' => false,
                'type' => 'divide'
            ),
            array( ####### LISTINGS
				'id'       => 'media-3',
				'type'     => 'section',
				'title'    => esc_html__('LIST MODE'),
				'subtitle'    => esc_html__('This options only work when viewing the library on List Mode', 'mtt') . "<hr><div class='img-help desc-field'><a href='$url_wpse_7' target='_blank'><img src='$url_wpse_7' /></a></div>",
				'indent'   => false, 
			),
            array( # Bigger Thumbs on default column
                'id'       => 'media_image_bigger_thumbs',
                'type'     => 'switch',
                'title'    => esc_html__( 'Bigger thumbnails in the default column', 'mtt' ),
                'default'  => false,
            ),
            array( # ID Column
                'id'       => 'media_image_id_column_enable',
                'type'     => 'switch',
                'title'    => esc_html__( 'ID column', 'mtt' ),
                'default'  => false,
            ),
            array( # Image Size column
                'id'       => 'media_image_size_column_enable',
                'type'     => 'switch',
                'title'    => esc_html__( 'Image size column', 'mtt' ),
                'desc' => esc_html__( 'Tip via:', 'mtt' )
                    . ' <a href="http://wordpress.stackexchange.com/q/30894/12615">WordPress Answers</a>',
                    'default'  => false,
                ),
                array( # List All Thumbs
                'id'       => 'media_image_thubms_list_column_enable',
                'type'     => 'switch',
                'title'    => esc_html__( 'Column listing all thumbnails', 'mtt' ),
                'desc' => esc_html__( 'Tip via: ', 'mtt' )
                    . ' <a href="http://wordpress.stackexchange.com/q/7757/12615">WordPress Answers</a>',                   
                'default'  => false,
            ),
            array( # Download link
                'id'       => 'media_download_link',
                'type'     => 'switch',
                'title'    => esc_html__( 'Download link in row actions', 'mtt' ),
                'desc' => sprintf( 
                    esc_html__( 'Adds a download link to all items (Edit|Delete|View|Download). Tip via: %s. The difference here is that there is no external script for downloading, it has to be done with a mouse right click and selecting "Save as".', 'mtt' ), 
                    '<a href="http://wordpress.stackexchange.com/q/30159/12615">WordPress Answers</a>'
                ),
                'default'  => false,
            ),
            array( # EXIF
                'id'       => 'media_camera_exif',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show media metadata (audio/image/video)', 'mtt' ),
                'desc' => sprintf(
                    esc_html__( 'Camera exif info, MP3 ID3 and video metadata are stored as post metadata, accessible via %s.', 'mtt' ),
                    '<code>_wp_attachment_metadata</code>'
                ),
                'default'  => false,
            ),
        ]
	)
);