<?php
/**
 * Section Plugins config
 * 
 * @package Admin Tweaks
 */

defined( 'ABSPATH' ) || exit;

$url_wpse9 = ADTW_URL . '/assets/images/plugins-filtering.png';

\Redux::set_section(
	$adtw_option,
	array(
		'title' => esc_html__( 'Plugins', 'mtt' ),
        'id'    => 'plugins',
        'icon' => 'el el-inbox-alt',
        'fields' => [
            array( # Live Filter
                'id'       => 'plugins_live_filter',
                'type'     => 'switch',
                'title' => esc_html__( 'Live filter by active/inactive', 'mtt' ),
                'desc' => esc_html__( 'also by fragments of name/description/author', 'mtt' ),
                'default'  => false,
                'hint'     => array(
					'title'   => '',
					'content' => "<br><div class='img-help'><img src='$url_wpse9' /></div>",
                )
            ),
            array( # Block Upgrade check for all
                'id'       => 'plugins_block_update_notice',
                'type'     => 'switch',
                'title' => esc_html__( 'Block plugins upgrade check', 'mtt' ),
                'default'  => false,
            ),
            array( # Block Upgrade check for inactive
                'id'       => 'plugins_block_update_inactive_plugins',
                'type'     => 'switch',
                'title' => esc_html__( 'Block inactive plugins upgrade check', 'mtt' ),
                'default'  => false,
            ),
            array( # Remove Quick Edit links
                'id'   => 'plugins_remove_plugin_edit',
                'type' => 'info',
                'style' => 'normal',
                'title' => esc_html__( 'Remove plugins quick edit links<br>(activate/deactivate, edit, settings)', 'mtt' ),
                'desc' => esc_html__('check Listings section to enable for plugins', 'mtt').'<br><br>'
            ),
            array( # Remove Descriptions
                'id'       => 'plugins_remove_description',
                'type'     => 'switch',
                'title' => esc_html__( 'Remove descriptions but leave Version and Author information.', 'mtt' ),
                'default'  => false,
            ),
            array( # Remove Extra notices
                'id'       => 'plugins_remove_plugin_notice',
                'type'     => 'switch',
                'title'    => esc_html__( 'Remove extra plugins notices (normally in yellow)', 'mtt' ),
                'default'  => false,
            ),
            array( # Last Update
                'id'       => 'plugins_add_last_updated',
                'type'     => 'switch',
                'title' => esc_html__( 'Add information about last update', 'mtt' ),
                'desc' => sprintf( 
                        esc_html__( 'Incorporation of the plugin: %s. After enabling this, the first load of the plugins page may take a while for the information be retrieved. After the first load, the information is cached for 24 hours.', 'mtt' ), 
                        ADTW()->makeTipCredit( 
                            'Plugin Last Updated', 
                            'http://wordpress.org/extend/plugins/plugin-last-updated/' 
                        ) 
                ),
                'default'  => false,
            ),
			array( # Inactive Plugins BG color
				'id'          => 'plugins_inactive_bg_color',
				'type'        => 'color',
				'title'       => esc_html__( 'Inactive Plugins background color', 'mtt' ),
				'transparent' => false,
				'color_alpha' => false,
            ),
            array( # My Plugins BG color
                'id'       => 'plugins_my_plugins_bg_color',
                'type'     => 'switch',
                'title'	=> esc_html__('Colorize specific plugins.', 'mtt'),
                'desc' 	=> esc_html__('Use to display some plugins (yours!) with other color.', 'mtt'),
                'default'  => false,
            ),
            array( ## Names
                'id'       => 'plugins_my_plugins_names',
                'type'     => 'text',
                'title'    => esc_html__("Enter a list of keywords separated by comma, no spaces. Normally, you'll use the plugin authors.", 'mtt'), 
                'required' => array( 'plugins_my_plugins_bg_color', '=', true ),
            ),
            array( ## Color
                'id'          => 'plugins_my_plugins_color',
                'type'        => 'color',
                'title'       => esc_html__( 'Your Plugins background color ;o)', 'mtt' ),
                'transparent' => false,
                'color_alpha' => false,
                'required' => array( 'plugins_my_plugins_bg_color', '=', true ),
            ),
            array( ## Show Count
                'id'       => 'plugins_my_plugins_count',
                'type'     => 'switch',
                'title'	=> esc_html__( 'Display count', 'mtt' ),
                'default'  => false,
                'required' => array( 'plugins_my_plugins_bg_color', '=', true ),
            ),
        ]
	)
);